Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.mom.xml
Class MAttributeDefNode

`java.lang.Object
oracle.jbo.mom.xml.MAttributeDefNode`

All Implemented Interfaces:
  DefNode

public class MAttributeDefNode
extends java.lang.Object
implements DefNode

This class implements the `DefNode` interface by creating a wrapper around an `MAttribute` object.

See Also:
  `DefNode`

Field Summary

Fields inherited from interface oracle.jbo.mom.xml.DefNode
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, ELEMENT_NODE, TEXT_NODE`

Constructor Summary
`MAttributeDefNode(oracle.mds.melement.MAttribute attr)`

Method Summary
`java.lang.String` | `getLocalName()`
`java.lang.String` | `getNamespaceURI()`
`java.lang.String` | `getNodeName()`
`short` | `getNodeType()`
`java.lang.String` | `getNodeValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MAttributeDefNode

    public MAttributeDefNode(oracle.mds.melement.MAttribute attr)

Method Detail

### getLocalName

    public java.lang.String getLocalName()

  Specified by:
    `getLocalName` in interface `DefNode`

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Specified by:
    `getNamespaceURI` in interface `DefNode`

### getNodeName

    public java.lang.String getNodeName()

  Specified by:
    `getNodeName` in interface `DefNode`

### getNodeType

    public short getNodeType()

  Specified by:
    `getNodeType` in interface `DefNode`

### getNodeValue

    public java.lang.String getNodeValue()

  Specified by:
    `getNodeValue` in interface `DefNode`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.